/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package demomvc;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author rosmord
 */
public class NombreModel {
    private List<NombreListener> listeners= new ArrayList<>();
    
    private int valeur;

    public void addNombreListener(NombreListener l) {
        listeners.add(l);
    }
    
    public void removeNombreListener(NombreListener l) {
        listeners.remove(l);
    }
    
    private void prevenirListerners() {
        for (NombreListener l: listeners) {
            l.nombreModifie();
        }
    }
    
    public int getValeur() {
        return valeur;
    }

    public void setValeur(int valeur) {
        this.valeur = valeur;
        prevenirListerners();
    }
    
    
    
}
